Image resize isn't proportional
Closed, ResolvedPublic

Description

Author: slambo

Description:
The image within the infobox on http://en.wikipedia.org/wiki/John_W._Garrett is
smaller than the infobox's standard 280px wide. The infobox stretches it
sideways but doesn't stretch it vertically by the same proportion like it did
before the upgrade this week. It appears that the troublemaker is the "none"
modifier in the image tag.

The following code in the Wikipedia Sandbox demonstrates the issue:

[[Image:John W. Garrett.jpg|none|280px|John W. Garret]] <!-- distorted -->
[[Image:John W. Garrett.jpg|thumb|280px|John W. Garret]] <!-- proportional
resize -->


Version: 1.5.x
Severity: normal
URL: http://en.wikipedia.org/wiki/John_W._Garrett

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz2616.
bzimport created this task.Via LegacyJun 29 2005, 8:25 PM
bzimport added a comment.Via ConduitJun 29 2005, 9:09 PM

slambo wrote:

Just realized I didn't leave my editing/viewing software info...

Primary viewing platform:

SuSE Linux 9.0 with current updates
Firefox 1.0.2

Also tested (bug appears there too):

Konqueror 3.1.4
bzimport added a comment.Via ConduitJun 30 2005, 1:18 AM

slambo wrote:

Tested and confirmed on Firefox 1.0 and MSIE 6.0.2800.1106.xpsp2.050301-1526;
Windows XP.

bzimport added a comment.Via ConduitJul 1 2005, 6:33 PM

dbenbenn wrote:

See [[User:Dbenbenn/sandbox]]. With a "frame", the image is not scaled up at all.
With "thumb", the image is scaled correctly. With no frame, the width is scaled, but not the
height.

Looking at the page source is instructive. The HTML <img> tags are

none: <img ... width="200" height="39" longdesc="/wiki/Image:WikiThanks.png" />
frame: <img ... width="43" height="39" longdesc="/wiki/Image:WikiThanks.png" />
thumb: <img ... width="200" height="181" longdesc="/wiki/Image:WikiThanks.png" />

The (height, width) should be (181, 200) in all three cases.

hashar added a comment.Via ConduitJul 4 2005, 1:10 AM

Fixed by fixing bug #2632 . It's comitted in cvs and should
be live soon ;)

Thanks for the report.

  • This bug has been marked as a duplicate of 2632 ***
brion added a comment.Via ConduitJul 4 2005, 7:25 PM

Not a duplicate of bug 2632.

brion added a comment.Via ConduitJul 4 2005, 7:35 PM

Made a correct fix for this now: the height was incorrectly calculated.

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:45 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment